jmarkov.jmdp.solvers

## Class AbstractDiscountedSolver<S extends State,A extends Action>

- java.lang.Object
- - jmarkov.jmdp.solvers.Solver<S,A>
  - - jmarkov.jmdp.solvers.AbstractInfiniteSolver<S,A>
    - - jmarkov.jmdp.solvers.AbstractDiscountedSolver<S,A>

- Type Parameters:
    `S` - state
    `A` - action
  All Implemented Interfaces:
    JMarkovElement
  Direct Known Subclasses:
    LPBCLDiscountedSolver, MpsLpDiscountedSolver, PolicyIterationSolver, ValueIterationSolver

      public abstract class AbstractDiscountedSolver<S extends State,A extends Action>
      extends AbstractInfiniteSolver<S,A>

  This is a structural class that must be extended by classes solving the dicounted cost minimization problem.
  Author:
    Andres Sarmiento and Germán Riaño - Universidad de Los Andes

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getInterestRate()` Returns the current value of the discount factor.
    `void` | `setInterestRate(double interestRate)` Sets a new Interest Rate

    - ### Methods inherited from class jmarkov.jmdp.solvers.AbstractInfiniteSolver

      `getIterations, getProblem, printSolution`

    - ### Methods inherited from class jmarkov.jmdp.solvers.Solver

      `description, getOptimalPolicy, getOptimalValueFunction, getProcessTime, getValueFunction, isSolved, label, printSolution, setPrintProcessTime, setPrintValueFunction, solve, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Method Detail

    - #### setInterestRate

          public final void setInterestRate(double interestRate)

      Sets a new Interest Rate
      Parameters:
        `interestRate` - set.

    - #### getInterestRate

          public double getInterestRate()

      Returns the current value of the discount factor.
      Returns:
        The current value of the discount factor.